HaskellForMaths-0.4.5: Combinatorics, group theory, commutative algebra, non-commutative algebra

Safe Haskell | None

Math.Algebras.Octonions

Description

A module defining the (non-associative) algebra of octonions over an arbitrary field.

The octonions are the algebra defined by the basis {1,i0,i1,i2,i3,i4,i5,i6}, where each i_n * i_n = -1, and i_n+1 * i_n+2 = i_n+4 (where the indices are modulo 7).

# Documentation

data OBasis Source

Constructors

O Int |

Instances

Eq OBasis |
Ord OBasis |
Show OBasis |
(Eq k, Num k) => Algebra k OBasis |
(Eq k, Num k) => HasConjugation k OBasis |

type Octonion k = Vect k OBasis Source

i0 :: Octonion Q Source

i6 :: Octonion Q Source

i5 :: Octonion Q Source

i4 :: Octonion Q Source

i3 :: Octonion Q Source

i2 :: Octonion Q Source

i1 :: Octonion Q Source

i_ :: Num k => Int -> Octonion kSource